Bug 1105923 - R-rtracklayer: FTBFS in rawhide
Summary: R-rtracklayer: FTBFS in rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: R-rtracklayer
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 02:05 UTC by Dennis Gilmore
Modified: 2014-07-31 05:12 UTC (History)
3 users (show)

Fixed In Version: R-rtracklayer-1.22.3-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-31 05:12:00 UTC
Type: ---


Attachments (Terms of Use)
build.log (3.58 KB, text/plain)
2014-06-09 02:05 UTC, Dennis Gilmore
no flags Details
root.log (151.89 KB, text/plain)
2014-06-09 02:05 UTC, Dennis Gilmore
no flags Details
state.log (1.09 KB, text/plain)
2014-06-09 02:05 UTC, Dennis Gilmore
no flags Details
Patch for rawhide (3.44 KB, patch)
2014-06-18 03:55 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 02:05:48 UTC
Your package R-rtracklayer failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6931550

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 02:05:50 UTC
Created attachment 903369 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 02:05:53 UTC
Created attachment 903370 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 02:05:55 UTC
Created attachment 903371 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-18 03:55:16 UTC
Created attachment 909829 [details]
Patch for rawhide

The no-zlibbioc patch needed to be updated for 1.22.3, and then there was a new BR.  Patch for rawhide attached.

Comment 5 Pierre-YvesChibon 2014-07-05 06:57:20 UTC
This patch is not enough, I have updated the package and removed the dependency on a patch via a couple of sed commands, but then the package fails a little later.

I pinged spot about this.

Logs at:
https://kojipkgs.fedoraproject.org//work/tasks/3561/7103561/build.log

Comment 6 Yaakov Selkowitz 2014-07-06 18:39:27 UTC
(In reply to Pierre-YvesChibon from comment #5)
> This patch is not enough

How so?

https://koji.fedoraproject.org/koji/taskinfo?taskID=7110184


Note You need to log in before you can comment on or make changes to this bug.